<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="referrer" content="unsafe-url">
    <!-- Meta -->
    <meta name="description" content="Serviceblick Login">
    <title data-i18n="serviceBlick Login"></title>
    <link rel="stylesheet" href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]">
    <link href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]" rel="stylesheet">
    <link href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]" rel="stylesheet">
    {% include 'snippets/global-header-include.tpl' %}
    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">
</head>

<body class="az-body">
{% include 'snippets/pb-loader.tpl' %}
<div class="az-signin-wrapper" style="display:none;">
    <div class="az-card-signin">
        <h2 class="az-dashboard-title">
            <img width="auto" height="32px" src="/style-global/img/serviceblick_logo.gif" alt="Logo_planBLICK"> <span data-i18n="login_service_name"></span>
        </h2>
        <div class="az-signin-header">
            <h2 data-i18n="hello"></h2>
            <h4 data-i18n="login to proceed"></h4>
            <!-- <h4>Das System ist wegen Wartungsarbeiten voraussichtlich bis 24.11.2021 12:00 gesperrt.<br> Vielen Dank für ihr Verständnis.</h4> -->
            <form action="#" onsubmit="return false;" method="POST">
                <div class="form-group">
                    <label data-i18n="User name"></label>
                    <input type="text" class="form-control" id="login" name="login" placeholder="User name" autocomplete="off" />
                </div>
                <div class="form-group">
                    <label data-i18n="password"></label>
                    <div class="password-combo">
                        <input type="password" class="form-control" id="password" name="password" placeholder="Enter password"
                           autocomplete="off" /><span class="btn mt-0" id="pw-toggle"><i class="far fa-eye" ></i></span>
                    </div>
                </div>
                <p id="login-error-msg"></p>

                <button class="btn btn-az-primary btn-block" id="static_login_button" class="btn-primary"
                        value="Anmelden" data-i18n="LogIn">
                </button>
            </form>
        </div><!-- az-signin-header -->
        <div class="az-signin-footer">
            <p><a href="/login/passwort.html">Passwort vergessen?</a></p>
            <p></p>
            <p>Noch keinen Account? <a onclick="window.open(this.href,'newwindow','width=428,height=926'); return false;" id="register_now_button" href="/registration/">Jetzt registrieren</a></p>
        </div><!-- az-signin-footer -->
    </div><!-- az-card-signin -->
</div><!-- az-signin-wrapper -->

{% include 'snippets/footer.tpl' %}
{% include 'snippets/global-script-include.tpl' %}

<script defer type="module">
    import {pbBrain} from '../csf-lib/pb-brain.js?v=[cs_version]';
    import {decrypt, encrypt, getCookie, setCookie} from "../csf-lib/pb-functions.js?v=[cs_version]"

    new pbBrain().boot("login-circuit", false);

    document.addEventListener("js_sources_loaded", function () {
        let urlParams = new URLSearchParams(window.location.search)

        if (urlParams.has('login')) {
            $("#login").val(urlParams.get('login'))
        }

        import("/csf-lib/vendor/fingerprint.js?v=[cs_version]").then(FingerprintJS => {
            FingerprintJS.load().then((fprint) => {
                fprint.get().then(result => {
                    const visitorId = result.visitorId
                    const apikey = getCookie("apikey")
                    const storedVisitorID = getCookie("visitorid")

                    if (apikey && storedVisitorID) {
                        if (storedVisitorID == visitorId) {
                            window.location.href = "/dashboard/"
                        }
                    } else {
                        $("#loader-overlay").hide()
                    }
                })
            })
        }).catch(e => {
            $("#loader-overlay").hide()
        })
    })
</script>
</body>

</html>
